Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.taglib
Class PortletTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.jboss.portal.portlet.impl.jsr168.taglib.PortletTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  DefineObjects286Tag, DefineObjectsTag, GenerateURLTag, NamespaceTag

    public class PortletTag

extends javax.servlet.jsp.tagext.TagSupport

Superclass of the portlet tags for the JSR 168 Portlet specification.

Provides hooks into the portlet environment

Version:
  $Revision: 5448 $
Author:
  Sherman Wood, Boleslaw Dawidowicz
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PortletTag()`

Method Summary
`protected ActionRequest` | `getActionRequest()`
`protected ActionResponse` | `getActionResponse()`
`protected PortletConfig` | `getConfig()`
`protected javax.servlet.http.HttpServletRequest` | `getDispatchedRequest()`
`protected javax.portlet.EventRequest` | `getEventRequest()`
`protected javax.portlet.EventResponse` | `getEventResponse()`
`protected PortletInvocation` | `getInvocation()` Set up the environment for accessing the portlat environment
`protected PortletPreferences` | `getPortletPreferences()`
`protected java.util.Map<java.lang.String,java.lang.String[]>` | `getPortletPreferenceValues()`
`protected PortletRequest` | `getPortletRequest()`
`protected PortletResponse` | `getPortletResponse()`
`protected java.util.Map<java.lang.String,java.lang.Object>` | `getPortletSessionScope()`
`protected RenderRequest` | `getRenderRequest()`
`protected RenderResponse` | `getRenderResponse()`
`protected javax.portlet.ResourceRequest` | `getResourceRequest()`
`protected javax.portlet.ResourceResponse` | `getResourceResponse()`
`protected PortletSession` | `getSession()`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletTag

    public PortletTag()

Method Detail

### getDispatchedRequest

    protected javax.servlet.http.HttpServletRequest getDispatchedRequest()

### getPortletRequest

    protected PortletRequest getPortletRequest()

### getPortletResponse

    protected PortletResponse getPortletResponse()

### getConfig

    protected PortletConfig getConfig()

### getRenderRequest

    protected RenderRequest getRenderRequest()

### getRenderResponse

    protected RenderResponse getRenderResponse()

### getActionRequest

    protected ActionRequest getActionRequest()

### getActionResponse

    protected ActionResponse getActionResponse()

### getEventRequest

    protected javax.portlet.EventRequest getEventRequest()

### getEventResponse

    protected javax.portlet.EventResponse getEventResponse()

### getResourceRequest

    protected javax.portlet.ResourceRequest getResourceRequest()

### getResourceResponse

    protected javax.portlet.ResourceResponse getResourceResponse()

### getSession

    protected PortletSession getSession()

### getPortletSessionScope

    protected java.util.Map<java.lang.String,java.lang.Object> getPortletSessionScope()

### getPortletPreferences

    protected PortletPreferences getPortletPreferences()

### getPortletPreferenceValues

    protected java.util.Map<java.lang.String,java.lang.String[]> getPortletPreferenceValues()

### getInvocation

    protected PortletInvocation getInvocation()

  Set up the environment for accessing the portlat environment

  Returns:
    The invocation that called the superclasses of this tag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.